# EXIO SAT PIPELINE - .gitignore

# All things are tracked by default except the automatic processing in the /data folder
#
# DATA FOLDERS

/data/*/**
# We need to have some files in there to persuade git to track them. 
# For that to work (if data folders need to be adjusted in the cookiecutter source) comment the /data rule, add them and then uncomment the rule again
!/data/*/**/.gitkeep

# GENERAL PYTHON and IDE STUFF
/**/__pycache__/
/**/tmp/
/**/temp/
*_old.py
Session.vim
*.pyc
#
.~lock.*
.tags
.vscode
Session.vim
/.cache/
/dist/
/pymrio.egg-info/
/**/build/
/__pycache__
/tests/__pycache__/
/.cache
/.idea
/**/.ipynb_checkpoints/
tags
.coverage
/htmlcov
/**/htmlcov

# BUILT DOCS (just in case)
/docs/built/
